#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hasql-dynamic-statements
version:              0.3.1
visibility:           public
id:                   hasql-dynamic-statements-0.3.1-2DwnW2GCNSJPYkgMga7cg
key:                  hasql-dynamic-statements-0.3.1-2DwnW2GCNSJPYkgMga7cg
license:              MIT
copyright:            (c) 2019, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql-dynamic-statements
synopsis:             Toolkit for constructing Hasql statements dynamically
description:
    This library introduces into the Hasql ecosystem a new abstraction named Snippet,
    which makes it trivial to construct SQL, while injecting values.
    It is intended to be used when the SQL of your statement depends on the parameters,
    that you want to pass in.

abi:                  e6496284068343e452da7535f1d30989
exposed:              True
exposed-modules:
    Hasql.DynamicStatements.Session Hasql.DynamicStatements.Snippet
    Hasql.DynamicStatements.Statement

hidden-modules:
    Hasql.DynamicStatements.Prelude
    Hasql.DynamicStatements.Snippet.Defs

import-dirs:
    /usr/lib/ghc-9.0.2/site-local/hasql-dynamic-statements-0.3.1

library-dirs:
    /usr/lib/ghc-9.0.2/site-local/hasql-dynamic-statements-0.3.1

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/hasql-dynamic-statements-0.3.1

hs-libraries:         HShasql-dynamic-statements-0.3.1-2DwnW2GCNSJPYkgMga7cg
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    hasql-1.4.5.3-1ZL8sTnVxFh3AV8mHEFwg1
    hasql-implicits-0.1.0.2-JjTKFDBwMsX1FecT62SfLn
    ptr-0.16.8.1-1yGZ1eU0UlG3pnzXgiAPU6

haddock-interfaces:
    /usr/share/doc/haskell-hasql-dynamic-statements/html/hasql-dynamic-statements.haddock

haddock-html:         /usr/share/doc/haskell-hasql-dynamic-statements/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

